#!/usr/bin/python
# -*- coding: UTF-8 -*-
#
#
# author: Scott Chen
# date: 2019-12-23

from django.views.decorators.http import require_http_methods
from django.http import JsonResponse

from apps.idcard.biz.id_card_reader import IdCardReader


@require_http_methods(["GET", "POST"])
def read_idcard(request):
    # response = {}
    # data = {}
    # data['name'] = '张三'
    # data['id_no'] = '443xxxxxxxxxxx32x7'
    #
    # response['code'] = '0'
    # response['msg'] = '成功'
    # response['rows'] = [{'total': 1, 'data': data}]
    # return JsonResponse(response)

    response = {}
    data = {}

    # 身份证信息读取
    reader = IdCardReader()
    id_car_info = reader.recognize()
    if 'error' in id_car_info:
        response['code'] = '-1'
        response['msg'] = id_car_info['error']
        response['rows'] = [{'total': 0, 'data': []}]
        return JsonResponse(response)

    name, id_no = id_car_info['name'], id_car_info['id_no']

    data['name'] = name
    data['id_no'] = id_no

    response['code'] = '0'
    response['msg'] = '成功'
    response['rows'] = [{'total': 1, 'data': data}]
    return JsonResponse(response)

